Debian Bug report logs - #311337
squirrelmail: LDAP configuration - define scope as either sub or one

version graph

Package: squirrelmail; Maintainer for squirrelmail is Jeroen van Wolffelaar <jeroen@wolffelaar.nl>; Source for squirrelmail is src:squirrelmail.

Reported by: Chris Searle <chris@longship.org>

Date: Tue, 31 May 2005 09:33:02 UTC

Severity: wishlist

Tags: fixed-in-experimental, fixed-upstream, upstream

Found in version 2:1.4.4-5

Fixed in version squirrelmail/2:1.5.1-1

Done: Thijs Kinkhorst <thijs@debian.org>

Forwarded to https://sourceforge.net/tracker/index.php?func=detail&aid=1212618&group_id=311&atid=350311

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Bug#311337; Package squirrelmail. Full text and rfc822 format available.

Acknowledgement sent to Chris Searle <chris@longship.org>:
New Bug report received and forwarded. Copy sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Chris Searle <chris@longship.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: squirrelmail: LDAP configuration - define scope as either sub or one
Date: Tue, 31 May 2005 11:25:05 +0200
Package: squirrelmail
Version: 2:1.4.4-5
Severity: wishlist


It would be nice to have an extra parameter to ldap configuration
for scope - where the user can define sub or one scope. In the code
where ldap_search is called - then ldap_list can be called for scope
one. Scope sub should be the default (so that when not configured
behaviour is as today).

I tried patching config.phpl and abook_ldap_server.php but the config
didn't get thru

Something like this for starters:

config.php

$ldap_server[0] = array(
    'host' => 'localhost',
    'base' => '',
    'name' => 'name',
    'scope' => 'one',
);

and in abook_ldap_server.php where the code calls

        $sret = @ldap_search($this->linkid, $this->basedn, $expression,
            array('dn', 'o', 'ou', 'sn', 'givenname', 'cn', 'mail'),
            0, $this->maxrows, $this->timeout);

use ldap_list of scope of 'one' is set.


-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.6.8-1-386
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages squirrelmail depends on:
ii  apache2                 2.0.54-4         next generation, scalable, extenda
ii  apache2-mpm-prefork [ht 2.0.54-4         traditional model for Apache2
ii  libapache2-mod-php4     4:4.3.10-15      server-side, HTML-embedded scripti
ii  perl                    5.8.4-8          Larry Wall's Practical Extraction 
ii  php4                    4:4.3.10-15      server-side, HTML-embedded scripti
ii  squirrelmail-locales    1.4.4-20050308-1 Translations for the SquirrelMail 

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Bug#311337; Package squirrelmail. Full text and rfc822 format available.

Acknowledgement sent to "Tomas Kuliavas" <tokul@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>. Full text and rfc822 format available.

Message #10 received at 311337@bugs.debian.org (full text, mbox):

From: "Tomas Kuliavas" <tokul@users.sourceforge.net>
To: 311337@bugs.debian.org
Cc: kink@squirrelmail.org
Subject: maybe this will give you some hints
Date: Tue, 31 May 2005 14:42:11 +0200 (EET)
See patch that implements two extra options.
http://cvs.sf.net/viewcvs.py/squirrelmail/squirrelmail/functions/abook_ldap_server.php?r1=1.29&r2=1.30

Current SquirrelMail 1.5.1cvs ldap server address book class differs from
stable version. It provides two extra options (1035454, 539534).
Developers are also working on listing control (529563) and start tls
(1197703) support. It is possible that SquirrelMail 1.4.6 will include
these four options. If you file your feature request on SF, your wish
might be implemented too.

If you want it here and now, patch for Debian can be written by the end of
week. You only have to find some guinea pig for testing it :)

Links to SF tracker items:
https://sourceforge.net/tracker/?func=detail&aid=529563&group_id=311&atid=350311
https://sourceforge.net/tracker/?func=detail&aid=539534&group_id=311&atid=423679
https://sourceforge.net/tracker/?func=detail&aid=1035454&group_id=311&atid=423679
https://sourceforge.net/tracker/?func=detail&aid=1197703&group_id=311&atid=300311

You might use integer instead of string value. 1 - LDAP_SCOPE_ONELEVEL
(ldap_list), 2 - LDAP_SCOPE_BASE (ldap_read), 0 or any other value
(default) - LDAP_SCOPE_SUBTREE (ldap_search) and write wrapper function
that calls appropriate ldap functions according to address book backend
object parameters. String values only make configuration file human
readable and require extra code (strtolower) to parse them.

P.S. You have got interesting bug report number :)

--
Tomas



Information forwarded to debian-bugs-dist@lists.debian.org, Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Bug#311337; Package squirrelmail. Full text and rfc822 format available.

Acknowledgement sent to Thijs Kinkhorst <kink@squirrelmail.org>:
Extra info received and forwarded to list. Copy sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>. Full text and rfc822 format available.

Message #15 received at 311337@bugs.debian.org (full text, mbox):

From: Thijs Kinkhorst <kink@squirrelmail.org>
To: 311337@bugs.debian.org, control@bugs.debian.org
Cc: Chris Searle <chris@longship.org>, Tokul@users.sourceforge.net
Subject: 311337 is fixed upstream
Date: Wed, 01 Jun 2005 12:03:20 +0200
[Message part 1 (text/plain, inline)]
tags 311337 fixed-upstream upstream
thanks

Hello,

Tomas, thanks for your reply. This issue has been fixed in the upstream
1.5.x. I think it's up to upstream to decide whether this will be
backported to their stable branch. I'm not inclined to backport it to
just the Debian package, since we shouldn't divert too much from the
upstream version, esp when it considers extending the functionality.


Regards,
Thijs Kinkhorst
[signature.asc (application/pgp-signature, attachment)]

Tags added: fixed-upstream, upstream Request was from Thijs Kinkhorst <kink@squirrelmail.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Bug#311337; Package squirrelmail. Full text and rfc822 format available.

Acknowledgement sent to Thijs Kinkhorst <kink@squirrelmail.org>:
Extra info received and forwarded to list. Copy sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>. Full text and rfc822 format available.

Message #22 received at 311337@bugs.debian.org (full text, mbox):

From: Thijs Kinkhorst <kink@squirrelmail.org>
To: 311337@bugs.debian.org
Cc: control@bugs.debian.org, Chris Searle <chris@longship.org>, Tokul@users.sourceforge.net
Subject: 311337 is not fixed but forwarded upstream
Date: Wed, 01 Jun 2005 15:30:14 +0200
[Message part 1 (text/plain, inline)]
tags 311337 = upstream
forwarded 311337
https://sourceforge.net/tracker/index.php?func=detail&aid=1212618&group_id=311&atid=350311
thanks

Ok, I understood that incorrectly from Tomas' response, the bug has not
yet been fixed, but a feature request has been registered upstream at
the mentioned URL.


Thijs
[signature.asc (application/pgp-signature, attachment)]

Tags set to: upstream Request was from Thijs Kinkhorst <kink@squirrelmail.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Bug#311337; Package squirrelmail. Full text and rfc822 format available.

Acknowledgement sent to "Thijs Kinkhorst" <kink@squirrelmail.org>:
Extra info received and forwarded to list. Copy sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>. Full text and rfc822 format available.

Message #29 received at 311337@bugs.debian.org (full text, mbox):

From: "Thijs Kinkhorst" <kink@squirrelmail.org>
To: control@bugs.debian.org, 311337@bugs.debian.org
Subject: Re: Processed: Re: Processed: 311337 is not fixed but forwarded upstream
Date: Wed, 1 Jun 2005 15:54:52 +0200 (CEST)
forwarded 311337 SF.net#1212618
thanks

please see:
https://sourceforge.net/tracker/index.php?func=detail&aid=1212618&group_id=311&atid=350311







Noted your statement that Bug has been forwarded to SF.net#1212618. Request was from "Thijs Kinkhorst" <kink@squirrelmail.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Bug#311337; Package squirrelmail. Full text and rfc822 format available.

Acknowledgement sent to Thijs Kinkhorst <kink@squirrelmail.org>:
Extra info received and forwarded to list. Copy sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>. Full text and rfc822 format available.

Message #36 received at 311337@bugs.debian.org (full text, mbox):

From: Thijs Kinkhorst <kink@squirrelmail.org>
To: 311337@bugs.debian.org, control@bugs.debian.org
Subject: 311337 is fixed upstream
Date: Wed, 06 Jul 2005 16:17:50 +0200
[Message part 1 (text/plain, inline)]
tags 311337 +fixed-upstream
thank you

This bug has been fixed in upstream development cvs, and will appear in
Debian when this version reaches maturity, or the feature is backported
to the stable branch. I don't think it's warranted to backport it
specifically for Debian.


Thijs
[signature.asc (application/pgp-signature, attachment)]

Tags added: fixed-upstream Request was from Thijs Kinkhorst <kink@squirrelmail.org> to control@bugs.debian.org. Full text and rfc822 format available.

Forwarded-to-address changed from SF.net#1212618 to https://sourceforge.net/tracker/index.php?func=detail&aid=1212618&group_id=311&atid=350311. Request was from Thijs Kinkhorst <kink@squirrelmail.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed-in-experimental Request was from Thijs Kinkhorst <thijs@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as fixed in version 2:1.5.1-1, send any further explanations to Chris Searle <chris@longship.org> Request was from Thijs Kinkhorst <thijs@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:13:25 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.